Last Comment Bug 443368 - [br] [br-FR] Registration of Breton team for Firefox, Thunderbird
: [br] [br-FR] Registration of Breton team for Firefox, Thunderbird
Status: RESOLVED FIXED
:
Product: Mozilla Localizations
Classification: Client Software
Component: Registration & Management (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Localization Registration Bugs
:
Mentors:
Depends on:
Blocks: fx40-l10n-br 591616
  Show dependency treegraph
 
Reported: 2008-07-03 03:33 PDT by An Drouizig
Modified: 2010-10-19 10:35 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Breton translation files for Mozilla Firefox 3.0.5 (136.12 KB, application/x-gzip)
2008-12-30 04:14 PST, An Drouizig
no flags Details
Breton translation files for Mozilla Thunderbird 2.0.0.18 (142.33 KB, application/x-gzip)
2008-12-30 04:23 PST, An Drouizig
no flags Details
Breton translation files for Mozilla Firefox 3.0.5 (136.12 KB, application/x-gzip)
2008-12-30 04:24 PST, An Drouizig
l10n: review-
Details
Breton translation for Firefox 3.5 (121.86 KB, application/x-gzip)
2009-09-07 11:48 PDT, Michel Nédélec
no flags Details
Breton translation for Firefox 3.6 (122.37 KB, application/x-gzip)
2009-09-11 13:27 PDT, Michel Nédélec
no flags Details
Breton translation for Firefox 3.6b1pre (122.95 KB, application/x-gzip)
2009-09-27 10:29 PDT, Michel Nédélec
no flags Details
Breton translation for Firefox 3.7a1pre (124.12 KB, application/x-gzip)
2009-10-03 13:08 PDT, Michel Nédélec
no flags Details
Breton translation for Firefox 3.6b2pre (123.15 KB, application/x-gzip)
2009-10-23 10:57 PDT, Michel Nédélec
no flags Details
Breton translation for Firefox 3.6 (123.21 KB, application/x-gzip)
2010-01-26 10:00 PST, Michel Nédélec
l10n: review-
Details
Breton translation for Firefox 3.6.4 (124.29 KB, application/x-gzip)
2010-04-20 12:37 PDT, Michel Nédélec
l10n: review+
Details

Description An Drouizig 2008-07-03 03:33:11 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; br-FR; rv:1.9) Gecko/2008052906 Firefox/3.0
Build Identifier: 

I (Philippe BASCIANO-LE GALL) would like to start (co-leading with Guilia Fraboulet) a Breton localization team for Firefox and Thunderbird.

I am already lead of the OpenOffice.org Breton localization effort ( cf. http://bre.openoffice.org ) and has been involved in several other l10n projects, all listed on http://www.drouizig.org

Alan Monfort is our main translator. He is a linguist, author of a Breton dictionary and involved in Breton localization since a long time now ( > 5 years ).

Other people including native speakers will join the project, I'll keep you posted.

The latest FF3.0 translation can be downloaded here:
http://www.drouizig.org/cozumel1974/firefox/br-FR-sources.zip

The translation of Thunderbird 2.0 is on the way (75% already done) and will be completed to 100% within a short time.



Reproducible: Always

Steps to Reproduce:
1.
2.
3.
Comment 1 An Drouizig 2008-08-01 04:10:20 PDT
Breton translation of Thunderbird 2.0.0.14 is now 100 % completed. 

http://www.drouizig.org/cozumel1974/thunderbird/thunderbird-2.0.0.14-br-FR.zip

I am still trying to contact Cedric Corazza on IRC in order to go further with our integration.

Comment 2 Seth Bindernagel 2008-08-26 21:33:57 PDT
Hi An Drouzig:

Hope you are doing well.  I am not sure where you are in your localization effort at this time.  Have you started translating Firefox 3?  If you have begun work on FF3, thank you for all of your work at localizing.  We're at the unique point of determining if you should localize for Firefox 3 or move onto localizing for Firefox 3.1, depending on your availability and interest.

If you are interested in working on *something* that is stable, you can continue to focus on localizing Firefox 3.  We can get stable builds going for you.  However, we will eventually ship your work in Firefox 3.1 and you will need to update the effort you are putting into Firefox 3 right now.  The good news is that the string changes from Fx 3 --> Fx 3.1 are presently small in number (~30), so the update should not be too much too handle.  

However, if you are interested in moving your effort toward localizing Firefox 3.1, then you can read the following documentation on working with Mercurial and getting a local environment set up on your machine.

http://developer.mozilla.org/en/L10n_on_Mercurial

or learn the basics about Mercurial here:

http://developer.mozilla.org/en/Mercurial

Thanks so much for your hard work.  As always, ping us with any questions, we are ready to help.

Kind regards,
Sethb
Comment 3 An Drouizig 2008-12-30 01:45:21 PST
Hi Seth,
we are now ready to move to Mercurial,
I installed TortoiseHg on my machine.
do we need any kind of "mercurial account" to be able to move forward ?
Thanks
Comment 4 Axel Hecht [:Pike] 2008-12-30 03:56:56 PST
Hi Phillipe, firstly, mind pulling the security vulnerable versions on http://www.drouizig.org/phpBB3/viewforum.php?f=7? We're trying to keep our users safe first, and most of the versions you offer are rather the opposite. The best way to keep your users safe is to actually offer a language pack only, as that will keep the automatic security updates going.

As for the next steps, we'd like to get a tar.gz of your work for review. Make sure to not include the .hg internal repo files, the package will get too large to attach then. 'cause that's what you do, attach that file to this bug, and request review by setting the 'r' flag on that attachment to '?', and enter my bugmail as requestee.
Comment 5 An Drouizig 2008-12-30 04:14:58 PST
Created attachment 354811 [details]
Breton translation files for Mozilla Firefox 3.0.5
Comment 6 An Drouizig 2008-12-30 04:17:58 PST
Hi Alex,

I have removed the old versions of Firefox and Thunderbird from our download area.
The only two which are now downloadable are the 3.0.5 and 2.0.0.18 respectively.
Binaries are based upon official english versions.

Once installed these versions can update themself (it did well from version 3.0.0 to 3.0.5), but I always chose to repack .exes for our new users. I suggest to remove all the .exe once we have our first beta build available ?

thanks
Philippe
Comment 7 An Drouizig 2008-12-30 04:23:39 PST
Created attachment 354812 [details]
Breton translation files for Mozilla Thunderbird 2.0.0.18
Comment 8 An Drouizig 2008-12-30 04:24:37 PST
Created attachment 354813 [details]
Breton translation files for Mozilla Firefox 3.0.5

added requestee
Comment 9 Simon Paquet [:sipaq] 2009-03-15 08:03:17 PDT
An,
I'm sorry that I only noticed this bug now :-(

We are no longer accepting any contributions for Thunderbird 2 as we are actively working towards Thunderbird 3. We have already released two beta releases of Thunderbird 3, so I think that your localization work would be better spent by shooting for the Thunderbird 3 release instead of the old Thunderbird 2.0.0.x releases.

The beta2 release of Thunderbird 3 can be found here:
http://www.mozillamessaging.com/en-US/thunderbird/early_releases/downloads/

Some additional information for Thunderbird localizers is here:
https://wiki.mozilla.org/Thunderbird:Localization
Comment 10 bIBAR 2009-04-02 23:54:58 PDT
Hello,
What's wrong with the firefox pack ?
It still not available in Debian or Ubuntu.
(Not available without ugly hack...). Is there something to do ?
Thanks
bIBAR
Comment 11 Axel Hecht [:Pike] 2009-05-12 04:05:54 PDT
Comment on attachment 354813 [details]
Breton translation files for Mozilla Firefox 3.0.5

Sorry for the lag, I work through my review queue in chunks.

This seems to be a tar of the unpacked language pack, which is not what our sources look like.

As I know that you guys have good ties to the French community, I'm positive that you'll find someone capable of helping there. Pascal might have someone in the back of his head?
Comment 12 Axel Hecht [:Pike] 2009-05-12 04:06:43 PDT
Comment on attachment 354812 [details]
Breton translation files for Mozilla Thunderbird 2.0.0.18

Cancelling this review request based on Simon's comment, and the fact that the corresponding Firefox attachment got an r-.
Comment 13 Michel Nédélec 2009-09-07 11:46:44 PDT
Hello,

I have completed the Breton translation for Firefox 3.5.
I used the Mercurial sources to do it, so it should be usable this time.
Let me know if there is a problem.

Thanks in advance
Comment 14 Michel Nédélec 2009-09-07 11:48:36 PDT
Created attachment 399095 [details]
Breton translation for Firefox 3.5
Comment 15 Michel Nédélec 2009-09-11 13:27:19 PDT
Created attachment 400130 [details]
Breton translation for Firefox 3.6

I have also adapted the Breton translation for Firefox 3.6.
You can find the sources for this new version in the attached file.
Comment 16 Michel Nédélec 2009-09-27 10:29:53 PDT
Created attachment 403122 [details]
Breton translation for Firefox 3.6b1pre

I have updated the breton translation for Firefox 3.6b1pre.

Could you also add my name to the memberlist of the breton language team?
It will easier for me to update the translation if I have a Mercurial account!

Thanks!
Comment 17 Michel Nédélec 2009-10-03 13:08:14 PDT
Created attachment 404444 [details]
Breton translation for Firefox 3.7a1pre

... and here is the breton translation for Firefox 3.7a1pre
Comment 18 Michel Nédélec 2009-10-23 10:57:29 PDT
Created attachment 408054 [details]
Breton translation for Firefox 3.6b2pre

... and now the breton translation for Firefox 3.6b2pre again!
Comment 19 Rimas Kudelis 2009-10-24 04:36:59 PDT
Michel: you should ask for Axel's review as suggested in comment #4.
Comment 20 Michel Nédélec 2010-01-26 10:00:09 PST
Created attachment 423556 [details]
Breton translation for Firefox 3.6

My new version of the breton translation of Firefox 3.6
Comment 21 Axel Hecht [:Pike] 2010-04-19 10:51:13 PDT
Sorry for the lag, and the quite extensive comments coming up. They should be quick to fix though.

This looks pretty good already, but I have new compare-locales code in the works which actually spotted two errors:

  dom/chrome
    appstrings.properties
        ERROR: argument 1 `S` obsolete at line 9, column 22 within confirmRepostPrompt
    layout/xmlparser.properties
        ERROR: argument 3 `d` should be `u`, argument 4 `d` should be `u` at line 72, column 18 within XMLParsingError

The first is actually dom's appstrings.properties being for different strings than the Firefox-special strings in browser. Please localize that file according to their en-US strings?
The second one is just replacing %?$d with %?$u.

Further comments:
Please revert browser/chrome/browser-region/region.properties to the en-US version, we'll customize that as fits in a separate bug. Same goes for browser/searchplugins/list.txt.
In br-FR/browser/chrome/browser/migration/migration.dtd, some accesskeys are the full product names, while they should be accesskeys. Please compare with an up-to-date en-US source.
Comment 22 Axel Hecht [:Pike] 2010-04-19 10:52:22 PDT
Comment on attachment 423556 [details]
Breton translation for Firefox 3.6

r- based on the comments before.
Comment 23 Michel Nédélec 2010-04-20 12:37:48 PDT
Created attachment 440294 [details]
Breton translation for Firefox 3.6.4

I have updated the translation for Firefox 3.6.4
It should be correct now
Comment 24 Axel Hecht [:Pike] 2010-05-28 14:32:41 PDT
Comment on attachment 354812 [details]
Breton translation files for Mozilla Thunderbird 2.0.0.18

I expect that 2.0.0.x thunderbird translations will need updates before getting a review, thus making this obsolete.

I'll get to the review of the fx attachment soon.
Comment 25 Seth Bindernagel 2010-08-10 06:55:39 PDT
We've done a review of the attached and filed bug 585936 to add a Breton
repository to Hg.  After that, we will do an initial landing and Breton will
have builds to test.  More work will follow.  :)
Comment 26 Axel Hecht [:Pike] 2010-08-24 07:45:46 PDT
Sooooo, now we're talking, landed http://hg.mozilla.org/l10n-central/br/rev/114b2b440d28.

Firstly, welcome to the new world, you have localized builds for Breton Firefox 4.0pre.

*Immediate Next Steps*

To get them to ship to users, we'll need to work on the bugs blocking your release tracker, https://bugzilla.mozilla.org/showdependencytree.cgi?id=fx40-l10n-br&hide_resolved=1.

*Staying connected*

You should also follow the Mozilla l10n newsgroup, http://www.mozilla.org/community/forums/#dev-l10n, available as mailing list, newsgroup or google group. The traffic isn't too high frequency. You'll find messages starting with [ANNOUNCE] in the subject every now and then, those are vital to read, as they include things that the l10n-drivers want you to know and attend to. There's a second group, http://www.mozilla.org/community/forums/#dev-l10n-web, where we discuss web localization issues. That's a separate group as quite a few localization teams have dedicated volunteers for that.

*Breton Builds of Firefox*

We refer to the pre-release versions of Firefox as "builds". These are where you will continue to work and test to perfect your localization. They're coming in two variants:

- Nightlies. You find those on http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/latest-mozilla-central-l10n/. Sometimes it starts with old versions, so you wanna look at the end what's the current version, and then search for the firefox-4.0b5pre.br.win32.installer.exe, firefox-4.0b5pre.br.linux-i686.tar.bz2, or firefox-4.0b5pre.br.mac.dmg files for win, linux, and mac, resp. These files are good to use for daily browsing, and they'll get a small incremental update every night, bringing both the latest of the stability release as well as your landings to you and your fellow testers.

- Tinderbox builds. Those get built within a few minutes after you landed fixes in hg and pushed them to the upstream repo. Those are the right thing to quickly verify that the changes you made work in the build. These builds can be found on http://ftp.mozilla.org/pub/mozilla.org/firefox/tinderbox-builds/mozilla-central-l10n/ (note the different dir two levels up).

Both of these builds are coming from your new hg repository. You can clone it with http://hg.mozilla.org/l10n-central/br/ anonymously, and with ssh:// instead of http:// once you got your hg account.

Please make sure that you're not regressing the fixes that I landed on top of your attachments. The diff is at http://hg.mozilla.org/l10n-central/br/rev/7f8370cba74f, making 'br' the primary locale code. Feel free to request help and review on the first patches you land.

*Monitoring your localization now and in the future*

Now, as if that wasn't enough, there are a few places on the web that you should regularly check to see if there's stuff to do. One would be the web dashboard (you'll use that to hunt down the web pages for your Firefox release), http://l10n.mozilla.org/webdashboard/?locale=br. The other one is called the dashboard, you can find it at https://l10n-stage-sj.mozilla.org/shipping/dashboard?locale=br. And you and your peers should start watching the bugzilla alias for your locale, br@localization.bugs, once it's created. You can do that at the bottom of https://bugzilla.mozilla.org/userprefs.cgi?tab=email#new_watched_by_you.

Enjoy and congratulations!

Note You need to log in before you can comment on or make changes to this bug.